Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api-421614.alphagrid.capital/agents/{agentId}/positions/{positionId}
{ "agentId": "<string>", "position": { "positionId": "<string>", "agentId": "<string>", "symbol": "<string>", "token": "<string>", "vault": "<string>", "tokenAmount": "<string>", "entryPriceUsdc": "<string>", "usdcCostBasis": "<string>", "maxSlippageBps": 123, "nextRuleIndex": 123, "exitRules": [ { "triggerBps": 123, "exitBps": 5000 } ], "pendingRules": [ { "triggerBps": 123, "exitBps": 5000 } ], "openedAt": "<string>", "derived": { "totalPnlUsdc": "<string>", "returnBps": 123 }, "unrealizedPnlUsdc": "<string>", "realizedPnlUsdc": "<string>" } }
Reads a single position (open or closed) with realized or unrealized PnL.
^[1-9]\d*$
"1"
^\d+$
Position details
Show child attributes